% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/map.func.R
\name{set.map.fun}
\alias{set.map.fun}
\title{Defines the default mapping function}
\usage{
set.map.fun(type = c("kosambi", "haldane"))
}
\arguments{
\item{type}{Indicates the function that should be used, which can be
\code{"kosambi"} or \code{"haldane"}}
}
\description{
Defines the function that should be used to display the genetic map through
the analysis.
}
\references{
Haldane, J. B. S. (1919) The combination of linkage values and
the calculation of distance between the loci of linked factors.
\emph{Journal of Genetics} 8: 299-309.

Kosambi, D. D. (1944) The estimation of map distance from recombination
values. \emph{Annuaire of Eugenetics} 12: 172-175.
}
\seealso{
\code{\link[BatchMap]{kosambi}} and \code{\link[BatchMap]{haldane}}
}
\author{
Marcelo Mollinari, \email{mmollina@usp.br}
}
\keyword{arith}
